Subject: Why Payment Processing Is Destroying Vendors in This Space (A Vendor’s Perspective)
From: Derek from Peptide Price <[email-masked]>
To: [email-masked]
Date: Sat, 21 Mar 2026 11:54:46 +0000
List-Id: <derekpruski.substack.com>

View this post on the web at https://derekpruski.substack.com/p/why-payment-processing-is-destroying

One of the vendors in this space reached out to me and asked me to share this anonymously. I think it’s important context for everyone here — especially when you see vendors struggling with payment options or going dark unexpectedly. This is a direct message from them, shared with permission:
“I am a vendor in this space, but I wanted to explain how insane payment processing is in this industry and why we sincerely appreciate when you all choose ACH, debit, or Zelle-type payments.
I’m in an online group with around 20 peptide vendors — some smaller than us, some larger, but a good mix across the board.
We’re less than a year old in this space, but not new to ecommerce by any means. We’ve run and managed ecomm stores for nearly 27 years. Our main business employs close to 100 people, so adding a peptide vertical was logistically straightforward.
Before we even launched, it took us nearly 45 days just to secure a processor that accepted embedded credit cards at checkout. The rate we got was not friendly — 9.5% per transaction, 10% reserves held for 270 days, plus fees on top of fees. That was the best available. We also added two gift card-to-credit solutions and one payment facilitator as backups.
Within the first month, one gift card solution went down holding $3,500. Our payment facilitator went down holding another $4,000. We still had two other solutions and ACH, so we kept moving.
Then January hit. Our second gift card solution went down holding $13,500. At that point we hadn’t seen any of the previous $21,000 either.
Mid-January we added a new embedded card solution. February we added a third. Things looked good — until end of February/early March, when both went down. One is holding $179,000 and claims they’ll pay us in six months. The other was holding $4,000.
Early March we found two more embedded solutions. We started running one as a backup — four days in, they shut off all processing and are now holding $60,000. No idea if we’ll ever see it. Today I got an email from the other saying they’re having issues too and to stop processing. They’re holding $290,000.
So in less than six months of business, we have $554,000 held by processors, another $290,000 held in bank reserves, and likely another $500,000 sitting in standard 3–7 day payout holds. We’re looking at close to $1.5 million dollars in limbo — and we’re not sure if we’ll ever see most of it.
Just another day as a vendor in this space. It isn’t for the weak.”
I wanted to share this because a lot of you have asked why certain vendors don’t always have card processing available, or why payment options change without much warning. This is why. It’s not mismanagement — it’s an industry-wide problem that hits every vendor regardless of size or how well-run the business is.
When a vendor offers ACH, Zelle, or debit options and passes savings along for using them, that’s not a gimmick. It directly helps them hold onto cash that would otherwise be sitting in someone else’s hands for months — or disappear entirely.
Something worth keeping in mind next time you’re placing an order.
For research use only, not for human consumption.

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9kZXJla3BydXNraS5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVNVFkyTmpFd055d2lhV0YwSWpveE56YzBNRGswTURreExDSmxlSEFpT2pFNE1EVTJNekF3T1RFc0ltbHpjeUk2SW5CMVlpMHpNelkxTXpZM0lpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5Lkh3cGpkT2kyWHAzU2pJenlyZ2dIQ3N6aENDNTNOa3VfV2pkRS0zSXVuNFUiLCJwIjoxOTE2NjYxMDcsInMiOjMzNjUzNjcsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc0MDk0MDkxLCJleHAiOjIwODk2NzAwOTEsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.KUJrCYgus6YE2ut3atmzDuF9Mx4Z1Fe4zcCusiHpamc?